curl --location 'https://numueg.app/api/v1/stores//promotions?status=&surface=&limit=&offset=' \
--header 'Authorization: Bearer <token>'{
"success": true,
"data": {
"items": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"surface": "discount_code",
"status": "draft",
"priority": 0,
"starts_at": "2019-08-24T14:15:22.123Z",
"ends_at": "2019-08-24T14:15:22.123Z",
"version": 0,
"coupon_id": "97ffaabb-eb3d-43ed-8769-a889d53b9a3d",
"code": "string",
"usage_count": 0,
"discount_rule": {
"kind": "percentage",
"value_cents": 0,
"value_percent": 0,
"min_subtotal_cents": 0,
"max_discount_cents": 0,
"buy_quantity": 1,
"get_quantity": 1,
"get_discount_percent": 0,
"tiers": [
{
"threshold_cents": 0,
"percent": 0
}
],
"multibuy_quantity": 2,
"multibuy_price_cents": 1,
"multibuy_tiers": [
{
"quantity": 2,
"price_cents": 1
}
],
"bundle_legs": [
{
"quantity": 1,
"label": "string"
}
],
"bundle_price_cents": 1
},
"created_at": "2019-08-24T14:15:22.123Z",
"updated_at": "2019-08-24T14:15:22.123Z"
}
],
"total": 0,
"limit": 0,
"offset": 0
},
"message": "string"
}